import java.util.*;
import java.lang.*;

public class Traces {


public static void main(String[] args){


Map<Thread, StackTraceElement[]> traces = Thread.getAllStackTraces();

for(Thread t : traces.keySet()){
System.out.println(t.getName()+":");
	StackTraceElement[] pile = traces.get(t);

	for(StackTraceElement e : pile){


System.out.println(""+e);

	}


}

System.out.println();



}







}